with err_tw as(
select 
t1.smonth as month_id,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'1' as idx_id,--ָID
'޷쳣ָ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','<1.5','1.5-2','2'),'~') level_type,
regexp_split_to_table(concat_ws('~',level_1_num,level_2_num,level_3_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when over_tower_cost_grid<1.5 then 1 else 0 end) as level_1_num,
sum(case when over_tower_cost_grid>=1.5 and over_tower_cost_grid<=2 then 1 else 0 end) as level_2_num,
sum(case when over_tower_cost_grid>2 then 1 else 0 end) as level_3_num
from sqmdb_cost.rpt_baobiao_4_cgzf
where tower_cost is not null 
and tower_cost_grid is not null 
and smonth='202205'
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

err_3rd as (
select 
t1.smonth as month_id,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'2' as idx_id,--ָID
'޷쳣ָ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','<1.5','1.5-2','2'),'~') level_type,
regexp_split_to_table(concat_ws('~',level_1_num,level_2_num,level_3_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when ht_cost_grid_scene_bs<1.5 then 1 else 0 end) as level_1_num,
sum(case when ht_cost_grid_scene_bs>=1.5 and ht_cost_grid_scene_bs<=2 then 1 else 0 end) as level_2_num,
sum(case when ht_cost_grid_scene_bs>2 then 1 else 0 end) as level_3_num
from sqmdb_cost.rpt_baobiao_4_cgzf
where hetong_sid is not null and smonth='202205'
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

err_zgd as (
select 
t1.smonth as month_id ,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'3' as idx_id,--ָID
'ת쳣ָ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','8ë','8ë-1','1'),'~') level_type,
regexp_split_to_table(concat_ws('~',level_1_num,level_2_num,level_3_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when eprice<0.8 then 1 else 0 end) as level_1_num,
sum(case when eprice>=0.8 and eprice<=1 then 1 else 0 end) as level_2_num,
sum(case when eprice>1 then 1 else 0 end) as level_3_num
from sqmdb_cost.rpt_baobiao_5_cgdf 
where smonth='202205'
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

err_nh as (
select 
t1.smonth as month_id ,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'4' as idx_id,--ָID
'ܺ쳣ָ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','<1.5','1.5-2','2'),'~') level_type,
regexp_split_to_table(concat_ws('~',level_1_num,level_2_num,level_3_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when over_lilun_power<1.5 then 1 else 0 end) as level_1_num,
sum(case when over_lilun_power>=1.5 and over_lilun_power<=2 then 1 else 0 end) as level_2_num,
sum(case when over_lilun_power>2 then 1 else 0 end) as level_3_num
from sqmdb_cost.rpt_baobiao_6_cgnh
where smonth='202205'
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

--кͬ޾վ
check_ht as (
select 
t1.smonth as month_id ,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'5' as idx_id,--ָID
'кͬ޾վ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','кͬоվ','кͬ޾վ'),'~') level_type,
regexp_split_to_table(concat_ws('~',has_num,no_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when stype='кͬоվ' then 1 else 0 end) as has_num,
sum(case when stype!='кͬоվ' then 1 else 0 end) as no_num
from sqmdb_cost.err_has_ht_no_station
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

--ܺ޾վ
check_nh as (
select 
t1.smonth as month_id ,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'6' as idx_id,--ָID
'ܺ޾վ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','ܺоվ','ܺ޾վ'),'~') level_type,
regexp_split_to_table(concat_ws('~',has_num,no_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when stype='У' then 1 else 0 end) as has_num,
sum(case when stype!='У' then 1 else 0 end) as no_num
from sqmdb_cost.err_has_nh_no_station
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

--޾վ
check_tw as (
select 
t1.smonth as month_id,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'7' as idx_id,--ָID
'޾վ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from (select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','оվ','޾վ'),'~') level_type,
regexp_split_to_table(concat_ws('~',has_num,no_num),'~') level_num
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when stype='оվ' then 1 else 0 end) as has_num,
sum(case when stype!='оվ' then 1 else 0 end) as no_num
from sqmdb_cost.err_has_tw_no_station
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id),

--޳ɱ
missing_cbzx as (select 
t1.smonth as month_id ,--
dz.area_id as area_id,--
coalesce(dz.area_name, dcg.grid_name) as area_name,--
coalesce(dz.p_id, dcg.city_code*100) as p_id,--ID
'8' as idx_id,--ָID
'޳ɱ' as idx_name,--ָ
t1.level_type as idx_level,--ָּ
t1.total_num as idx_val_tot,--ֵָ-
t1.level_num::numeric as idx_val_err,--ֵָ-쳣
dcg.city_name as p_name--ƣڻ۵ָ
from
(select 
smonth,grid_code,total_num,
regexp_split_to_table(concat_ws('~','гɱ','޳ɱ'),'~') level_type,
regexp_split_to_table(concat_ws('~',has_num,no_num),'~') level_num
from
(select smonth,grid_code,
sum(total_num) as total_num,
sum(has_num) as has_num,
sum(no_num) as no_num 
from
(select 
smonth,grid_code,
count(*) as total_num,
sum(case when cbzx is not null then 1 else 0 end) as has_num,
sum(case when cbzx is null then 1 else 0 end) as no_num
from sqmdb_cost.err_has_ht_no_station
group by smonth,grid_code
union all 
select 
smonth,grid_code,
count(*) as total_num,
sum(case when cost_unit_name is not null then 1 else 0 end) as has_num,
sum(case when cost_unit_name is null then 1 else 0 end) as no_num
from sqmdb_cost.err_has_nh_no_station 
group by smonth,grid_code
union all 
select 
smonth,grid_code,
count(*) as total_num,
sum(case when cbzx is not null then 1 else 0 end) as has_num,
sum(case when cbzx is null then 1 else 0 end) as no_num
from sqmdb_cost.err_has_tw_no_station 
group by smonth,grid_code) u
group by smonth,grid_code) a) t1
join sqmdb_cost.dict_code_grid dcg on t1.grid_code=dcg.grid_code 
left join sqmdb_cost.dict_zzjg dz on dcg.area_code=dz.area_id)

--޷쳣ָ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from err_tw

union all

--޷쳣ָ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from err_tw c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all

--޷쳣ָ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from err_3rd

union all

--޷쳣ָ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from err_3rd c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all 

--ת쳣ָ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from err_zgd

union all

--ת쳣ָ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from err_zgd c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all

--ܺ쳣ָ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from err_nh

union all

--ܺ쳣ָ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from err_nh c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all 

--кͬ޾վ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from check_ht

union all

--кͬ޾վ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from check_ht c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all 

--ܺ޾վ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from check_nh

union all

--ܺ޾վ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from check_nh c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all 

--޾վ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from check_tw

union all

--޾վ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from check_tw c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

union all 

--޳ɱ-
select 
month_id as "MONTH_ID",
area_id as "AREA_ID",
area_name as "AREA_NAME",
p_id as "P_ID",
idx_id as "IDX_ID",
idx_name as "IDX_NAME",
idx_level as "IDX_LEVEL",
idx_val_tot as "IDX_VAL_TOT",
idx_val_err as "IDX_VAL_ERR"
from missing_cbzx

union all

--޳ɱ-
select 
c.month_id as "MONTH_ID",
c.p_id as "AREA_ID",
c.p_name as "AREA_NAME",
z.p_id as "P_ID",
c.idx_id as "IDX_ID",
c.idx_name as "IDX_NAME",
c.idx_level as "IDX_LEVEL",
sum(c.idx_val_tot) as "IDX_VAL_TOT",
sum(c.idx_val_err) as "IDX_VAL_ERR"
from missing_cbzx c
left join sqmdb_cost.dict_zzjg z on c.p_id=z.area_id 
group by c.month_id,c.p_id,z.p_id,c.p_name,c.idx_id,c.idx_name,c.idx_level

