select a.CITY_NAME "",
           a.DISTRICT_NAME "",
           a.CITY_CODE "б",
           a.DISTRICT_CODE "",
           a.PHYSTATION_ADDRESS "վ",
           a.BBU_NAME "BBU",
           cast(a.ENBID as varchar) "վenbid",
           a.vender "",
           round(b.THROUGHPUT / 1024 / 1024 / 1024, 2) "ҵGB" --THROUGHPUT λbyteҪ1024*1024*1024
           ,
           CONSTRUCTION "н",
           a.lon "վ(max)",
           a.lat "վγ(max)"
      from (select distinct CITY_NAME,
                            DISTRICT_NAME,
                            CITY_CODE,
                            DISTRICT_CODE,
                            PHYSTATION_ADDRESS,
                            BBU_NAME,
                            ENBID,
                            vender,
                            max(lon) lon,
                            max(lat) lat,
                            first_value(construction) over(partition by district_name, district_code, enbid) construction
              from cfg_0_4g_siteinfo
             where sdate = (select max(sdate) from cfg_0_4g_siteinfo)
               and is_alive = 1
              group by CITY_NAME,DISTRICT_NAME,CITY_CODE,DISTRICT_CODE,PHYSTATION_ADDRESS,BBU_NAME,ENBID,vender,construction) a,
           (select distinct city_name, enbid, THROUGHPUT
              from rpt_0_4g_flow_enb_7d_day
             where sdate =
                   (select max(sdate) from rpt_0_4g_flow_enb_7d_day)) b
     where /*a.city_name=b.city_name and*/
     a.enbid = b.enbid